Method: partners.channels.sites.bulkEdit

  • This operation allows you to bulk edit sites under a single channel.

  • You can delete sites by providing their IDs and create new sites by providing Site objects in the request body.

  • The request uses a POST HTTP method and includes channelId and either partnerId or advertiserId as path parameters.

  • The request body contains lists for sites to be deleted and sites to be created, along with the ID of the owning partner or advertiser.

  • The operation requires the https://www.googleapis.com/auth/display-video authorization scope.

Bulk edits sites under a single channel.

The operation will delete the sites provided in BulkEditSitesRequest.deleted_sites and then create the sites provided in BulkEditSitesRequest.created_sites.

HTTP request

POST https://displayvideo.googleapis.com/v4/partners/{partnerId}/channels/{channelId}/sites:bulkEdit

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the parent channel to which the sites belong.

Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

End of mutually exclusive fields.

Request body

The request body contains data with the following structure:

JSON representation
{
  "deletedSites": [
    string
  ],
  "createdSites": [
    {
      object (Site)
    }
  ],

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "advertiserId": string
  // End of mutually exclusive fields.
}
Fields
deletedSites[]

string

The sites to delete in batch, specified as a list of site url_or_app_ids.

createdSites[]

object (Site)

The sites to create in batch, specified as a list of Sites.

Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent channel.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of BulkEditSitesResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.